Voiceprint Management
Basics
- Base URL:
https://api.ticos.cn - Register:
POST /voiceprint - Delete:
DELETE /voiceprint
1. Register voiceprint (POST)
Headers
Content-Type: multipart/form-data
Request fields
name(required): speaker nickname (<= 32bytes)audio(required): audio filesample_rate(optional, default16000)channel(optional, default1)model(optional, defaultvoiceprint-turbo)format(optional,pcm/wav)
Example
curl --location --request POST 'https://api.ticos.cn/voiceprint' \--form 'name="John Doe"' \--form 'sample_rate="16000"' \--form 'channel="1"' \--form 'model="voiceprint-turbo"' \--form 'audio=@"/path/to/audio.wav"'Response example
{ "voiceprint_info": {}, "code": 0, "message": "create success"}2. Delete voiceprint (DELETE)
Headers
Content-Type: application/json
Request fields
voiceprint_id(required)
Example
curl --location --request DELETE 'https://api.ticos.cn/voiceprint' \--header 'Content-Type: application/json' \--data-raw '{"voiceprint_id": "12345"}'Response example
{ "code": 0, "message": "delete success"}